:root{
    --fuentePrincipal: 'League Spartan', sans-serif;
    --amarillo: #F6D811;
    --naranja: #EE9616;
    --negro: #141414;
    --blanco: #E1E1E1 ;
}
html{
    box-sizing: border-box;
    font-size: 62.5%;
}
*,*::before, *::after{
    box-sizing: inherit;
}
body{
    font-family: var(--fuentePrincipal);
    color: var(--blanco);
    background-color: var(--negro);

}
/*GLOBALES*/
h1,h2{
    font-size: 2.4rem;
    text-align: center;
}
h3,h4{
    font-size: 2.2rem;
    text-align: center;
}
p{
    font-size: 2rem;
    line-height: 1.4;
}
a{
    font-size: 1.4rem;
    color: var(--blanco);
    text-decoration: none;
}
@media (min-width: 480px) {
    h1,h2{
        font-size: 4.5rem;
    }
    a{
        font-size: 1.5rem;
    }
    p{
        font-size: 2.1;
    }
}
@media (min-width: 768px) {
    h1{
        font-size: 4rem;
    }
    p{
        font-size: 2.4rem;
    }
    
}
@media (min-width: 1140px) {
    h1{
        font-size: 6rem;
    }
    a{
        font-size: 2.1rem;
    }
}
/*HEADER MOBILE*/
.banner{
    position: relative;
}
.enlace_activo{
    color: var(--amarillo);
}
.banner_content{
    position: absolute;
    height: 100%;
    max-width: 100%;
    background-color: rgb(0, 0, 0,.5);
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}
.header_nav{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2.5rem;
}
.nav_menu{
    width: 4rem;
}
.banner_texto{
    line-height: 1.2;
}
.video_banner{
    width: 100%;
}
.btn_header{
    text-align: center;
    border: none;
    padding: 1rem;
    width: 50%;
    background-color: var(--amarillo);
    color: var(--negro);
    font-weight: bold;
    cursor: pointer;
}
/* MENU HAMBURGUESA */
.menu_desplegable{
    display: none;
}
.nav_mob_visible{
    display: flex;
    align-items: center;
    justify-content: end;
}
.nav_mob_desplegable{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 90%;
    margin: 0 auto;
    background-color: var(--blanco);
}
.cerrar_img{
    padding: 1rem;
    width: 20%;
}
.nav_mob_desplegable a{
    color: var(--negro);
    font-weight: bold;
    padding: 1rem 5rem;
    display: block;
    width: 100%;
}
.redes_menu{
    width: 80%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    color: var(--negro);
    font-weight: 700;
    border-top: .2rem solid var(--negro);
    padding: 1rem;
}
.redes_menu_iconos{
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: 1.5rem;
}
.redes_menu a{
    padding: 0;
}
.redes_menu img{
    width: 5rem;
    
}
/* HEADER PC */
.header_pc{
    display: none;
}
@media (min-width: 480px) {
    .header_nav{
        display: none;
    }
    .header_pc{
        display: block;
        position: relative;
        z-index: 10;
        padding: 2rem;
    }
    .nav_pc{
        display: flex;
        justify-content: space-evenly;
        align-items: center;
    }
    .nav_pc_enlaces a{
        padding: 1rem;
        font-weight: bold;
        font-size: 1.5rem;
    }
    .nav_pc_enlaces a:hover{
        color: var(--amarillo);

    }
    .nav_pc_enlaces{
        display: flex;
        justify-content: end;
        width: 100%;
    }
    .banner_content{
        position: absolute;
        width: 100%;
        background-color: rgb(0, 0, 0,.7);
    }
    .banner_texto{
        width: 70%;
        margin-bottom: 0;
    }
    .btn_header{
        padding: 2rem;
        width: 30%;
        cursor: pointer;
        z-index: 10;
    }
}
@media (min-width: 1140px) {
    .nav_pc_logo{
        width: 80%;
        text-align: center;
    }
    .nav_pc_logo img{
        width: 50%;
    }
    .nav_pc_enlaces{
        justify-content: space-evenly;
    }
    .nav_pc_enlaces a{
        font-size: 1.8rem;
    }
}
/* SOBRE NUESTRA FAMILIA DEPORTISTA */
.familia{
    background-color: #000;
}
.familia_bg{
    width: 90%;
    margin: auto;
    height: 40rem;
    background-image: url(../img/silueta_boxeador.svg);
    background-size:contain;
    background-repeat: no-repeat;
    background-position: center;
}
.familia_content{
    height: 40rem;
    background-color: rgb(0, 0, 0,.8);
    padding: 2rem;
}
.familia_fotos{
    width: 90%;
    margin: 2rem auto;
    display: flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;
    gap: 2rem;
}
.familia_fotos img{
    width: 100%;
}
@media (min-width: 1140px) {
    .familia{
        display: flex;
        width: 95%;
        height: 50rem;
        margin: 0 auto;
        padding-right:1rem ;
    }
    .familia_content h2{
        margin: 0;
    }
    .familia_content p{
        text-align: justify;
    }
    .familia_fotos{
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }
    .familia_fotos div{
        display: flex;
        align-items: end;
    }
}
/* QUE OFRECEMOS  */
.ofrecemos_img{
    width: 100%;
}
.que_ofrecemos{
    margin-top: 0;
}
.ofrecemos{
    width: 95%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.ofrecemos_servicio{
    width: 100%;
    height: 40rem;
    display: flex;
    align-items: center;
    background-repeat: no-repeat;
    background-position: center;
}
.ofrecemos_ninjutsu{
    background-image: url(../img/img_ninjutsu.svg);
}
.ofrecemos_aikido{
    background-image: url(../img/img_yoshinka-aikiido.svg);
}
.ofrecemos_kickboxing{
    background-image: url(../img/img_kick-boxing.svg);
}
.ofrecemos_mma{
    background-image: url(../img/img_artes-marciales.svg);
}
.ofrecemos_ninos{
    background-image: url(../img/img_clase-niños.svg);
}
.ofrecemos_acondicionamiento{
    background-image: url(../img/img-acondicionamiento-fisico.svg);
}
.servicio{
    width: 100%;
    height: 40rem;
    margin: 0 auto;
    background-color: #000;
    padding: 2rem;
    opacity: 0;
    transition: opacity .3s ease-in;
}
.servicio:hover{
    opacity: 1;
}
.servicio p{
    text-align:center;
}
@media (min-width: 768px) {
    .ofrecemos{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem;
    }
}
@media (min-width: 1140px) {
    .ofrecemos{
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        row-gap: 2rem;
    }
    .servicio{
        width: 75%;
    }
}
.ring{
    margin: 2rem 0;
    display: flex;
    justify-content: center;
}
.ring img{
    width: 90%;
}
@media (min-width: 1140px) {
    .ring{
        width: 50%;
        margin: 3rem auto 0 auto;
    }
}
/* CLASES */
main{
    width: 100%;
    margin: 0 auto;
}
.clases{
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}
.clases img{
    width: 100%;
}
.divisor_clases{
    width: 100%;
}
.seisha{
    margin-top: 5rem;
}
@media (min-width: 768px) {
    .clases{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
}
.clase_cortesia{
    width: 50%;
    margin: 1rem auto;
}
.clase_cortesia_btn{
    display:block;
    text-align: center;
    border: none;
    padding: 3rem;
    background-color: var(--amarillo);
    color: var(--negro);
    font-weight: bold;
    cursor: pointer;
}
@media (min-width: 1140px) {
    .clase_cortesia{
        margin-top: 3rem;
        width: 30%;
    }
}
/* ENTRENADORES */
.nuestros_entrenadores{
    width: 95%;
    margin: 0 auto;
}
.nombre_entrenador{
    color: var(--amarillo);
}
.entrenador_fernando{
    background-image: url(../img/sensei_perfil.png);
}
.entrenador_dumar{
    background-image: url(../img/dumar.JPG);
}
.entrenador_andres{
    background-image: url(../img/andres.jfif);
}
.entrenador_nicolas{
    background-image: url(../img/nico.png);
}
.entrenador_jeisson{
    background-image: url(../img/jeisson.png);
}
.entrenador_fernando,
.entrenador_dumar,
.entrenador_andres,
.entrenador_nicolas,
.entrenador_jeisson{
    /* border: 2px solid red; */
    height: 50rem;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.entrenador_info{
    padding: 1rem;
    text-align: justify;
    border-bottom: 2px solid var(--blanco);
    margin-bottom: 2rem;
}
@media (min-width: 768px) {
    .entrenador{
        display: flex;
        align-items: center;
        justify-content: space-evenly;
    }
    .entrenador_foto{
        width: 50%;
    }
    .entrenador_info{
        width: 50%;
    }
}
@media (min-width: 1140px) {
    .entrenador{
        width: 70%;
        margin: 0 auto;
        margin-bottom: 2rem;
    }
    .entrenador_fernando,
    .entrenador_dumar,
    .entrenador_nicolas,
    .entrenador_jeisson{
        height: 50rem;
    }
    .entrenador_foto{
        width: 40%;
    }
    .entrenador_info{
        width: 40%;
    }
}
/* IMMAFF */
.immaf_section{
    width: 90%;
    margin: 0 auto;
}
.immaf_texto{
    text-transform: uppercase;
    font-weight: 700;
    text-align: center;
}
.immaf_imagenes{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--blanco);
    border-radius: 5;
    padding: 2rem;
    border-radius: 5rem;
}
.immaf_imagenes img{
    width: 90%;
    margin: 1rem;
}
@media (min-width: 1140px) {
    .immaf_imagenes{
        width: 50%;
        margin: 0 auto;
    }
}
/* QUE DICEN NUESTROS ESTUDIANTES */
.quedicen{
    width: 90%;
    margin: 0 auto;
}
.quedicen_slider{
    width: 90%;
    margin: 1rem auto;
    overflow: hidden;
}
.quedicen_track{
    display: flex;
    gap: 3rem;
    animation: scroll 80s linear infinite;
    width: calc(40rem * 8);
}
.quedicen_review{
    width: auto;
    height: 20rem;
    display: flex;    
}
.quedicen_review img{
    width: 100%;
}
@keyframes scroll{
    0%{
        transform: translateX(0);
    }
    100%{
        transform: translate(-230rem)
    }
}
.quedicen_link{
    text-align: center;
    margin: 5rem;
}
/* GALERIA */
.galeria_section{
    width: 90%;
    margin: 3rem auto;
}
.galeria_section img{
    width: 100%;
}
/* PONTE EN CONTACTO */
.contacto_section{
    width: 100%;
    margin: 0 auto;
}
.contacto_imagen img{
    width: 100%;
}
/* FOOTER */
.footer_content-PC{
    display: none;
}
.footer_content{
    width: 90%;
    margin: 2rem auto;
}
.footer_section{
    width: 100%;
    display: flex;
}
.footer_textos{
    padding: 1rem;
    width: 100%;
}
.footer_texto{
    margin: 3rem 0;
}
.footer_texto p,a{
    margin: 1rem 0;
    font-weight: 700;
    font-size: 1.8rem;
    display: block;
}
.footer_siguenos{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-weight: 700;
    padding: 1rem;
    border-left: .1rem solid var(--blanco) ;    
}
.footer_siguenos-iconos{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}
.footer_siguenos-iconos a{
    text-align: center;
}
.footer_siguenos-iconos img{
        width: 40%;
}
.footer_logo{
    width: 90%;
    margin: 2rem auto 0;
}
.footer_logo img{
    width: 100%;
}
.boton_flotante{
    width: 5rem;
    position: fixed;
    right: 5rem;
    bottom: 5rem;
}
@media (min-width: 768px) {
    .footer_textos{
        width: 50%;
    }
    .footer_siguenos{
        width: 50%;
    }
    
    .footer_siguenos-iconos img{
        width: 20%;
    }
    .boton_flotante{
        width: 7rem;
        position: fixed;
        right: 5rem;
        bottom: 5rem;
    }
}
@media (min-width: 1140px) {
    .footer_content-PC{
        display: block;
    }
    .footer_content{
        display: none;
    }
    .footer_section-PC{
        width: 100%;
        display: flex;
        justify-content: space-evenly;
        font-size: 2.4rem;
        padding: 2rem;
        gap: 1rem;
    }
    .footer_iconos-PC img{
        width: 15%;
    }
    .footer_texto{
        display: flex;
        flex-direction: column;
        justify-content:flex-start ;
        align-items: flex-start;
    }
    .footer_texto p{
        text-align: left;
    }
    .footer_logo-PC{
        display: flex;
        align-items: end;
    }
    .footer_logo-PC img{
        width: 100%;
    }
    .footer_iconos-PC{
        width: 20%;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
    }
    .footer_iconos-PC img{
        width: 50%;  
    }
     
}
.powered{
    display: flex;
    justify-content: center;
    align-items: center;
}
.powered a{
    font-weight: 400;
}
/* -------------CONTACTO--------- */
.contenedor_contacto{
    width: 90%;
    margin: 0 auto;
}
.contenedor_contacto_info{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.contenedor_contacto_texto-correo{
    font-size: 1.8rem;
    font-weight: bold;
}
.contenedor_contacto_texto-correo p{
    margin: 1rem 0;
}
.contacto_iconos_redes{
    display: flex;
    justify-content: center;
    text-align: center;
}
.contacto_iconos_redes a img{
    width: 40%;
    margin: 2rem 0;
}
.contacto_mapa{
    width: 95%;
    margin: 0 auto;
}
.contacto_mapa a img{
    width: 100%;
}
@media (min-width: 768px) {
    .contenedor_contacto{
        display: flex;
    }
    .contenedor_contacto_info{
        display: block;
    }
    .contenedor_contacto_texto-correo p{
        font-size: 1.8rem;
    }
    .contacto_iconos_redes a img{
        width: 30%;
        margin: 0;
        }
    .powered a{
        font-size: 1.5rem;
    }
}
@media (min-width: 1140px) {
    .contenedor_contacto_texto,
    .contenedor_contacto_texto-telefono,
    .contenedor_contacto_texto-correo{
        margin-bottom: 5rem ;
    }
    .contenedor_contacto_texto-correo p{
        font-size: 3rem;
    }
    .contenedor_contacto_texto-telefono a,
    .contenedor_contacto_texto a{
        font-size: 3rem;
    }
    .contenedor_contacto_info{
        display:flex;
        width: 100%;
    }
    .contacto_iconos_redes{
        display: flex;
        justify-content: center;
        align-items: center;
    }
    
    
}